#define CATCH_CONFIG_MAIN

#include "catch.hpp"

#include <iostream>
#include <vector>
#include "fv.h"
#include "io.h"

using namespace std;

TEST_CASE("ures matrix", "[keres]") {
    vector<vector<float> > matrix;
    int ind = -1;

    beolvas("ures.txt", matrix);
    CHECK(keres(matrix, ind) == false);
}

TEST_CASE("egy elemu matrix, pozitiv", "[keres]") {
    vector<vector<float> > matrix;
    int ind = -1;

    beolvas("egy_pozitiv.txt", matrix);
    CHECK(keres(matrix, ind) == false);
}

TEST_CASE("egy elemu matrix, nulla", "[keres]") {
    vector<vector<float> > matrix;
    int ind = -1;

    beolvas("egy_nulla.txt", matrix);
    CHECK(keres(matrix, ind) == true);
    CHECK(ind == 0);
}

TEST_CASE("egy elemu matrix, negativ", "[keres]") {
    vector<vector<float> > matrix;
    int ind = -1;

    beolvas("egy_negativ.txt", matrix);
    CHECK(keres(matrix, ind) == true);
    CHECK(ind == 0);
}

TEST_CASE("3x3-as matrix, a kozepso sorban nincs pozitiv", "[keres]") {
    vector<vector<float> > matrix;
    int ind = -1;

    beolvas("3x3_kozepso_nincs.txt", matrix);
    CHECK(keres(matrix, ind) == true);
    CHECK(ind == 1);
}
